uniform vec3      iResolution;           // viewport resolution (in pixels)
uniform float     iDuration;             // shader playback total time (in seconds)
uniform float     iTime;                 // shader playback current time (in seconds)
uniform float     iTimeDelta;            // render time (in seconds)
uniform int       iFrame;                // shader playback frame
uniform float     iChannelTime[8];       // channel playback time (in seconds)
uniform vec3      iChannelResolution[8]; // channel resolution (in pixels)
uniform vec4      iMouse;                // mouse pixel coords. xy: current (if MLB down), zw: click
uniform sampler2D iChannel[8];           // input channel. XX = 2D/Cube
uniform vec4      iDate;                 // (year, month, day, time in seconds)
uniform float     iSampleRate;           // sound sample rate (i.e., 44100)

uniform float     strength;


float iProgress = iTime / iDuration;

varying vec2 textureCoordinate;



float easeInOutQuint(float t)
{
    return t<0.5 ? 16.0*t*t*t*t*t : 1.0+16.0*(--t)*t*t*t*t;
}

void main() {
	vec2 texCoord = gl_FragCoord.xy / iResolution.xy;
 	vec4 texture0;
	vec4 texture1;	
	
	texture0 = texture2D(iChannel[0],texCoord);
	texture1 = texture2D(iChannel[1],texCoord);
	
	gl_FragColor.r = texture0.r * (1.0 - iProgress) + texture1.r * iProgress;
	gl_FragColor.g = texture0.g * (1.0 - iProgress) + texture1.g * iProgress;
	gl_FragColor.b = texture0.b * (1.0 - iProgress) + texture1.b * iProgress;
	gl_FragColor.a = texture0.a * (1.0 - iProgress) + texture1.a * iProgress;
}
